FireFox 57 прекратит поддержу старых расширений

SV
На сайте с 03.11.2008
Offline
1377
2660

С 14 ноября 2017 FireFox прекратит поддержу старых расширений из АМО написанных с использованием XUL, SDK и XPCOM. Это связано с полным переходом на API WebExtensions. Для совместимости с расширениями Хрома, насколько я понял.

Старые расширения будут показываться только пользователям со версиями браузера ниже 57.

Кто желает использовать старые расширения есть браузеры Pale Moon, Waterfox, SeaMonkey,

И есть ещё ESR-версия FF - версия с расширенной поддержкой (Во время расширенного цикла, новые компоненты не будут добавлены в Firefox ESR, только исправления проблем безопасности и стабильности).

Подробнее:

https://tproger.ru/news/firefox-57-add-ons-depr/

https://www.opennet.ru/opennews/art.shtml?num=45556

Делаю хорошие сайты хорошим людям. Предпочтение коммерческим направлениям. Топики помощи с ⓌordPress (https://searchengines.guru/ru/forum/1032910 ) и основы безопасности сайтов ( https://searchengines.guru/ru/forum/774117 ). *** Помощь\консультации в топиках форума - БЕСПЛАТНО. Платные услуги ( https://wp.me/P3YHjQ-3 ) - с бюджетом от 150$ ***
DV
На сайте с 01.05.2010
Offline
644
#1

Какой капец…

А потом ещё и на WebKit перевести для полного счастья…

VDS хостинг ( http://clck.ru/0u97l ) Нет нерешаемых задач ( https://searchengines.guru/ru/forum/806725 ) | Перенос сайтов на Drupal 7 с любых CMS. ( https://searchengines.guru/ru/forum/531842/page6#comment_10504844 )
DV
На сайте с 01.05.2010
Offline
644
#2

Разработчик FoxyProxy перешёл на новый стандарт.

Что сказать… Получилась какая-то порнография. Мягко говоря.

И что тут началось!.

Бедняга, не знает, как оправдаться: "Это не я, это Мозилла подсуропила!"

Сейчас буду ставить старую версию и закрывать возможность обновления…

AlexStep
На сайте с 23.03.2009
Offline
318
#3
DenisVS:
буду ставить старую версию и закрывать возможность обновления…

Жить без обновлений браузера не страшно? Может дыру какую найдут...

DV
На сайте с 01.05.2010
Offline
644
#4

AlexStep, для меня это неактуально, учитывая моё рабочее окружение.

Проблемы буду решать в порядке поступления.

Через какое-то время (месяцы) мне придётся-таки обновлять браузер (опять, в связи с трансформацией окружения), и тогда, возможно автор допилит своё расширение до юзабельности.

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий